%define major		33
%define libname		%mklibname re %{major}
%define libnamedev	%mklibname re -d

Summary: 	Generic library for real-time communications with async IO support
Name: 		libre
Version: 	3.22.0
Release: 	%mkrel 1
License: 	BSD
Group: 		System/Libraries
URL: 		https://github.com/baresip/re
Source0: 	https://github.com/baresip/re/archive/v%{version}/re-%{version}.tar.gz
BuildRequires:	cmake
BuildRequires:	ninja
BuildRequires:	pkgconfig(openssl)

%description
Generic library for real-time communications with async IO support.

%package -n	%{libname}
Summary:	Generic library for real-time communications with async IO support
Group:		System/Libraries
# librem archived, from baresip, merge rem into re by @alfredh in #2442
Obsoletes:	%{_lib}rem6 < 2.12.0-2

%description -n	%{libname}
Generic library for real-time communications with async IO support.

%package -n	%{libnamedev}
Summary:	libre development files
Group:		Development/C
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}
# librem archived, from baresip, merge rem into re by @alfredh in #2442
Obsoletes:	%{_lib}rem-devel < 2.12.0-2

%description -n	%{libnamedev}
libre development files.

%prep
%autosetup -n re-%{version} -p1

%build
export EXTRA_CFLAGS="%{build_cflags}"
export EXTRA_LFLAGS="%{build_ldflags}"
%cmake -GNinja
%cmake_build

%install
%cmake_install

find %{buildroot} -name '*.a' -print -delete

%files -n %{libname}
%{_libdir}/libre.so.%{major}{,.*}

%files -n %{libnamedev}
%{_libdir}/pkgconfig/libre.pc
%{_libdir}/cmake/libre/
%{_libdir}/cmake/re/
%{_includedir}/re/
%{_libdir}/libre.so


%changelog
* Sat May 03 2025 daviddavid <daviddavid> 3.22.0-1.mga10
+ Revision: 2180617
- new version: 3.22.0

* Sat Apr 05 2025 daviddavid <daviddavid> 3.21.0-1.mga10
+ Revision: 2173582
- new version: 3.21.0

* Fri Feb 21 2025 daviddavid <daviddavid> 3.20.0-1.mga10
+ Revision: 2150233
- new version: 3.20.0
- now libmajor is 30

* Thu Jan 23 2025 daviddavid <daviddavid> 3.19.0-1.mga10
+ Revision: 2140693
- new version: 3.19.0
- now libmajor is 29

* Wed Nov 27 2024 daviddavid <daviddavid> 3.17.0-1.mga10
+ Revision: 2119477
- new version: 3.17.0
- now libmajor is 28

* Tue Sep 10 2024 wally <wally> 3.14.0-3.mga10
+ Revision: 2094932
- use proper obsoletes for librem

* Tue Sep 10 2024 papoteur <papoteur> 3.14.0-2.mga10
+ Revision: 2094840
- obsolete librem, now included here

* Sun Aug 25 2024 neoclust <neoclust> 3.14.0-1.mga10
+ Revision: 2091140
- New version 3.14.0

* Mon Feb 20 2023 wally <wally> 2.12.0-1.mga9
+ Revision: 1944245
- new version 2.12.0
- new lib major 14

* Sun Jan 15 2023 daviddavid <daviddavid> 2.11.0-1.mga9
+ Revision: 1933321
- new version: 2.11.0
- now libmajor is 13

* Sun Dec 11 2022 wally <wally> 2.10.0-1.mga9
+ Revision: 1920562
- new version 2.10.0
- new lib major 12
- switch to cmake and ninja build

* Sun Nov 27 2022 wally <wally> 2.9.0-1.mga9
+ Revision: 1911677
- new version 2.9.0
- new lib major 11

* Tue Oct 11 2022 ghibo <ghibo> 2.8.0-1.mga9
+ Revision: 1896318
- Bump major to 10
- Update to release 2.8.0 (required to baresip)

* Wed Sep 07 2022 wally <wally> 2.7.0-1.mga9
+ Revision: 1885057
- new version 2.7.0
- new lib major 9

* Sun Aug 07 2022 wally <wally> 2.6.1-1.mga9
+ Revision: 1875989
- new version 2.6.1
- new lib major 8

* Tue May 03 2022 wally <wally> 2.3.0-1.mga9
+ Revision: 1855635
- new version 2.3.0
- new lib major 5

* Sat Apr 23 2022 wally <wally> 2.2.2-1.mga9
+ Revision: 1852920
- new version 2.2.2
- new lib major 4

* Thu Mar 17 2022 umeabot <umeabot> 2.1.1-2.mga9
+ Revision: 1796513
- Mageia 9 Mass Rebuild

* Wed Mar 16 2022 luigiwalser <luigiwalser> 2.1.1-1.mga9
+ Revision: 1794894
- rediff patches 1 and 2
- 2.1.1
- library major is now 2

* Sat Oct 02 2021 wally <wally> 2.0.1-3.mga9
+ Revision: 1747750
- rebuild for openssl 3.0.0

* Mon May 10 2021 wally <wally> 2.0.1-2.mga9
+ Revision: 1722400
- add patches to
  - increase build time verbosity
  - detect aarch64

* Sun May 09 2021 wally <wally> 2.0.1-1.mga9
+ Revision: 1722355
- new version 2.0.1
- new lib major 1

* Thu Nov 05 2020 daviddavid <daviddavid> 1.1.0-1.mga8
+ Revision: 1642754
- new version: 1.1.0

* Sat Oct 03 2020 wally <wally> 1.0.0-1.mga8
+ Revision: 1631993
- switch to baresip fork
- new version 1.0.0

* Fri Feb 14 2020 umeabot <umeabot> 0.6.0-2.mga8
+ Revision: 1520766
- Mageia 8 Mass Rebuild

* Sat Dec 08 2018 wally <wally> 0.6.0-1.mga7
+ Revision: 1338963
- new version 0.6.0

* Wed Oct 10 2018 wally <wally> 0.5.9-1.mga7
+ Revision: 1319342
- new version 0.5.9

* Sun Sep 23 2018 umeabot <umeabot> 0.5.8-2.mga7
+ Revision: 1299122
- Mageia 7 Mass Rebuild

* Sun Aug 19 2018 daviddavid <daviddavid> 0.5.8-1.mga7
+ Revision: 1252767
- new version: 0.5.8

* Fri Feb 02 2018 guillomovitch <guillomovitch> 0.5.7-1.mga7
+ Revision: 1198609
- new version 0.5.7

* Wed Oct 25 2017 wally <wally> 0.5.5-6.mga7
+ Revision: 1173736
- build with openssl

* Wed Oct 25 2017 wally <wally> 0.5.5-5.mga7
+ Revision: 1173724
- use our build time flags
- add SONAME to lib

* Wed Oct 25 2017 dlucio <dlucio> 0.5.5-4.mga7
+ Revision: 1173560
- P0 to fix pkgconfig
- lets use new make macros

* Wed Oct 25 2017 dlucio <dlucio> 0.5.5-2.mga7
+ Revision: 1173547
- fix description
- fix broken symlink

* Tue Oct 24 2017 dlucio <dlucio> 0.5.5-1.mga7
+ Revision: 1173535
- imported package libre


* Fri Nov 5 2010 Alfred E. Heggestad <aeh@db.org> -
- Initial build.

